Subject: Re: When to pick mangos

From: A. Meijer <[email-masked]>
Date: Sat, 27 Jul 1996 15:26:40 GMT

[email-masked] (DGholston) schrijft:
> >Our young mango tree is now in its second year and has a >proud display
> of about 8 fist sized mangos - still green >and firm.
> 
> >Should I pick them now and let them ripen in sunlight, or >should I leave
> them until they soften up and turn a little >yellow - and maybe rotten?
> 
> By all means let them stay on the tree until they begin to color  and then
> pick an let finish ripening on the kitchen counter (or such). If you pick
> them green, they will not ripen. There is little chance that they would
> rot on the tree.
> 
> We are in the process of adding  a rather lengthy Fruit Fact sheet on
> mango to our Web Site at http://www.crfg.org/. We invit you to visit it.
> We are not a commercial organization.
> 
> Don Gholston
> California Rare Fruit Growers

The best is it to pick mango's as late as possible. This will be
enhance the taste . Most taste is devellopped in the time after growing 
on the tree, then the amount of sugar is getting higher, 
as well as the taste.
The best is it to pick the fruit just before eating, but best before the birds
find it.

---

From: [email-masked] (DGholston)
Date: 26 Jul 1996 18:02:33 -0400

Don Gholston